Package org.apache.lucene.analysis.ja

## Enum JapaneseCompletionFilter.Mode

- java.lang.Object
- - java.lang.Enum<JapaneseCompletionFilter.Mode>
  - - org.apache.lucene.analysis.ja.JapaneseCompletionFilter.Mode

- All Implemented Interfaces:
    `Serializable`, `Comparable<JapaneseCompletionFilter.Mode>`
  Enclosing class:
    JapaneseCompletionFilter

      public static enum JapaneseCompletionFilter.Mode
      extends Enum<JapaneseCompletionFilter.Mode>

  Completion mode

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `INDEX` | Simple romanization.
    `QUERY` | Input Method aware romanization.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static JapaneseCompletionFilter.Mode` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static JapaneseCompletionFilter.Mode[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### INDEX

          public static final JapaneseCompletionFilter.Mode INDEX

      Simple romanization. Expected to be used when indexing.

    - #### QUERY

          public static final JapaneseCompletionFilter.Mode QUERY

      Input Method aware romanization. Expected to be used when querying.

  - ### Method Detail

    - #### values

          public static JapaneseCompletionFilter.Mode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (JapaneseCompletionFilter.Mode c : JapaneseCompletionFilter.Mode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static JapaneseCompletionFilter.Mode valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null